﻿.appMLRegLog-tile {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(0deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appMLRegLog-tile:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appMLRegLog-tile-rotate {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(180deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appMLRegLog-tile-rotate:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appMLRegLog-tile-content {
    position: absolute;
    width: 100%;
    height: 100%;
}

.appMLRegLog-tile-activities {
    height: 80%;
    width: 120%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    background-color: orange;
    color: white;
    cursor: pointer;
    margin-left: 45%;
    margin-top: -70%;
}

.appMLRegLog-tile-close-back {
    height: 140%;
    width: 140%;
    border-radius: 50%;
    display: inline-block;
    background-color: white;
    color: gray;
    text-align: center;
    cursor: pointer;
    margin-left: 40%;
    margin-top: -80%;
}

.appMLRegLog-tile-config {
    height: 100%;
    width: 100%;
    border-radius: 50%;
    display: inline-block;
    background-color: transparent;
    color: gray;
    text-align: center;
    cursor: pointer;
    margin-left: 10%;
    margin-top: 10%;
}

.appMLRegLog-grid-container-tile-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 15% 80% 5%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegLog-grid-container-tile-back {
    display: none;
    transform: rotateY(180deg);
    grid-template-columns: 100%;
    grid-template-rows: 15% 85%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegLog-grid-container-tile-header {
    display: grid;
    grid-template-columns: max-content max-content max-content auto 10%;
    grid-column-gap: 2%;
    margin-left: 2%;
}

.appMLRegLog-grid-container-tile-content-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 25% 25% 50%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: pointer;
}


.appMLRegLog-grid-container-tile-content-back {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 16% 30% 18% 28%;
    grid-row-gap: 2%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegLog-glyphicon {
    color: gray;
    background-color: transparent;
    padding-top: 15%;
}

.appMLRegLog-glyphicon-close {
    color: gray;
    background-color: transparent;
    height: 120%;
    width: 120%;
    margin-top: -10%;
}

.appMLRegLog-grid-container-config-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegLog-grid-container-config-data-select-fieldset {
    height: 20%;
}

.appMLRegLog-grid-container-config-data-select {
    display: grid;
    grid-template-columns: 50% 50%; 
    background-color: transparent;
    width: 100%;
    height:100%;
}

.appMLRegLog-grid-container-config-data-select-time {
    display: grid;
    grid-template-columns: 45% 10% 45%;
    background-color: transparent;
    width: 100%;    
}

.appMLRegLog-grid-container-config-data-select-timestamp {
    display: grid;
    grid-template-columns: max-content max-content;
    grid-template-rows: auto auto auto;
    background-color: transparent;
    grid-column-gap: 5%;
    width: 100%;
}

.appMLRegLog-grid-container-config-data-interval {
    display: grid;   
    grid-template-columns: 50%;
    margin-top: 10px;
}

.appMLRegLog-grid-container-config-data-select-metrics {
    display: grid;
    grid-template-rows: 10% 90%;
    grid-template-columns: 100%;
    margin-top: 10px;
}

.appMLRegLog-grid-container-config-data-select-metric-item-header {
    display: grid;
    grid-template-columns: 50% 50%;
}

.appMLRegLog-grid-container-config-data-select-metric-item {
    display: grid;
    grid-template-columns: 60% 40%;   
}

.appMLRegLog-grid-container-config-data-select-metric-item-criteria {
    display: grid;
    grid-template-columns: 50% 50%;  
}

.appMLRegLog-grid-container-config-data-select-times {
    display: grid;
    grid-template-columns: 100%;
    background-color: transparent;
    width: 100%;
    margin-top: 20px;
}

.appMLRegLog-grid-container-config-csv {
    display: grid;
    grid-template-columns: 90% 10%;
    margin-top:50px;
}

.appMLRegLog-grid-container-config-info {
    display: grid;
    grid-template-columns: 40% 55%;
    grid-column-gap: 5px;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegLog-grid-container-config-csv-info {
    display: grid;
    grid-template-columns: max-content max-content;
    grid-column-gap: 5px;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegLog-config-info {
    margin-top:3px;
    background-color: transparent;
    color: gray;
    text-align: center;
    cursor: pointer; 
}

.appMLRegLog-grid-container-config-nav {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;    
    grid-column-gap:20px;
}

.appMLRegLog-grid-container-config-data-assignment-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    width: 100%;
}

.appMLRegLog-grid-container-config-data-assignment-table-header {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-template-rows: 100%;
    background-color: transparent;
    font-size:12px;
    width: 100%;
}

.appMLRegLog-grid-container-config-data-assignment-criteria-col-header {
    display: grid;
    grid-template-columns: 45% 40% 15%;
    grid-template-rows: 100%;
    background-color: transparent;   
    width: 100%;
}
.appMLRegLog-grid-container-config-data-assignment-table-cell {
    border: none;
    background-color: transparent;
    height: 100%;
    width: 100%;
    font-size: medium;
}

.appMLRegLog-grid-container-config-correlation {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.appMLRegLog-grid-container-config-set-train-data {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.appMLRegLog-grid-container-config-calc-reg-equation {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.appMLRegLog-grid-container-config-calc-reg-equation-info {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: auto auto auto;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.appMLRegLog-grid-container-config-calc-reg-equation-prediction {
    display: grid;
    grid-template-columns: 20% 80%;
    grid-column-gap:5%;
    grid-template-rows: 100%;
    background-color: transparent;    
}

.appMLRegLog-grid-container-config-evaluation-info {
    display: grid;
    grid-template-columns: max-content max-content;
    grid-column-gap: 5px;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    margin-top:10px;
}

.appMLRegLog-grid-container-config-production {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.appMLRegLog-grid-container-config-production-states {
    display: grid;
    grid-template-columns: 30% 33% 33%;
    background-color: transparent;
    grid-column-gap:2%;
    width: 100%;
    height: 100%;
}

.appMLRegLog-grid-container-config-monitoring-states {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    grid-column-gap: 2%;
    width: 100%;
    height: 100%;
}

.appMLRegLog-grid-container-chart-content {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-template-rows: 6vh 72vh;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegLog-grid-container-chart-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegLog-grid-container-chart-date-selection {
    display: grid;
    grid-template-columns: 3% 3% 1% 5% 1% 10% 1% 20% auto;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 50%;
}

.appMLRegLog-grid-container-chart-option {
    display: grid;
    grid-template-columns: 50% 50%;
}

.appMLRegLog-grid-container-activities-content {
    display: grid;
    grid-template-columns: 33% 34% 33%;
    grid-template-rows: 45% 10% 45%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegLog-grid-container-activity {
    display: grid;
    grid-template-columns: 15% 70% 15%;
    grid-template-rows: 100%;
    background-color: transparent;
    width: 100%;
    align-items: center;
    margin-bottom: 10px;
}

.appMLRegLog-grid-container-alarms {
    display: grid;
    grid-template-columns: 15% 75% 10%;
    grid-template-rows: 100%;
    background-color: transparent;
    width: 100%;
    align-items: center;
    margin-bottom: 10px;
}

.appMLRegLog-grid-container-activity-message {
    display: grid;
    grid-template-columns: 70% 25%;
    grid-template-rows: 40% 20% 40%;
    grid-column-gap: 5%;
    width: 100%;
    height: 100%;
}

.appMLRegLog-grid-container-activity-delete {
    display: grid;
    grid-template-columns: 15% 75% 10%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    align-items: center;
}

.appMLRegLog-circle-outer-activity {
    width: 90%;
    padding-bottom: 90%;
    position: relative;
}

.appMLRegLog-circle-activity {
    position: absolute;
    top: 6px;
    right: 6px;
    bottom: 6px;
    left: 6px;
    cursor: pointer;
    border-radius: 50%;
    border: 1px solid gray;
}

.appMLRegLog-circle-outer-activties {
    position: relative;
}

.appMLRegLog-circle-inner-activties {
    width: 100%;
    height: 64%;
    position: absolute;
    cursor: pointer;
    border-radius: 50%;
    background-color: orange;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    margin-left: 55%;
    margin-top: -55%;
}

.appMLRegLog-circle-outer-close {
    position: relative;
}

.appMLRegLog-circle-inner-close {
    width: 100%;
    height: 64%;
    position: absolute;
    cursor: pointer;
    border-radius: 50%;
    background-color: white;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    margin-left: 55%;
    margin-top: -55%;
}

.appMLRegLog-grid-container-config {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    width: 100%;
}

.appMLRegLog-grid-container-config-activity {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 50% 50%;
    width: 100%;
    margin-top: 5px;
}